%define _python_version `python -c 'import sys;print sys.version[:3]'`
Summary: This module provides B+ trees for python.
Name: bplustree
Version: 0.2.0 
Release: 1
License: Public Domain
Group: Development/Languages
URL: http://www.pythonpros.com/arw/bplustree/ 
Source: bplustree-0.2.0.tar.gz
Requires: python = 1.5
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This module provides B+ trees for python.

B+ trees are an efficient index structure for mapping
a dictionary type object into a disk file.  All keys for
these dictionary structures are strings with a fixed
maximum length.  The values can be strings or 
integers (often representing seek positions in a secondary
file) depending on the implementation.

B+ trees can be useful for storing large mappings on disk
in such a way that a small number of keys/values can be
retrieved very quickly (with very few disk accesses).
B+ trees can also be useful for sorting a very large number
(millions) of records by unique string key values.

In this implementation all keys must not exceed the maximum
length for a given tree.  For string values there is no
limitation on size of content.  Note that in my tests
updates are 2-3 times slower than retrieves, except for
walking which is much faster than normal retrieves.

As an add-on this module also provides a dbm compatible
interface that permits arbitrary length keys and values.
See below.

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages
cp *.py $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *README
%{_libdir}/python*/site-packages/*.py

%changelog
* Wed Jul 14 2000 Crutcher Dunnavant <crutcher@redhat.com>
- initial package
- Arbitrary version set at 0.2.0
